xmltooling::KeyInfoResolver Class Referenceabstract

Resolves credentials from KeyInfo information. More...

`#include <xmltooling/security/KeyInfoResolver.h>`

## Public Member Functions

virtual Credential * | resolve (const xmlsignature::KeyInfo *keyInfo, int types=0) const =0
| Returns a credential based on the supplied KeyInfo information.
virtual Credential * | resolve (DSIGKeyInfoList *keyInfo, int types=0) const =0
| Returns a credential based on the supplied KeyInfo information.
virtual Credential * | resolve (KeyInfoCredentialContext *context, int types=0) const =0
| Returns a credential based on the KeyInfo information in the supplied context.
Credential * | resolve (const xmlsignature::Signature *sig, int types=0) const
| Returns a credential based on the supplied KeyInfo information.
Credential * | resolve (const CredentialCriteria &criteria, int types=0) const
| Returns a credential based on the KeyInfo information in the supplied criteria.

## Detailed Description

Resolves credentials from KeyInfo information.

Credential-specific bitmasks can be provided to control what to resolve.

Implementations should only establish KeyNames on the basis of explicit names within the KeyInfo object, never by extracting names out of physical credentials found within it.

## Member Function Documentation

## resolve() [1/5]

Credential * xmltooling::KeyInfoResolver::resolve | ( | const CredentialCriteria & | criteria,
|  | int | types = 0 ) const

Returns a credential based on the KeyInfo information in the supplied criteria.

The caller must release the credential when done with it.

Parameters

  criteria | criteria containing the key information
  types | types of credentials to resolve, or 0 for any/all

Returns
  the resolved credential, or nullptr

## resolve() [2/5]

virtual Credential * xmltooling::KeyInfoResolver::resolve | ( | const xmlsignature::KeyInfo * | keyInfo,
|  | int | types = 0 ) const

pure virtual

Returns a credential based on the supplied KeyInfo information.

The caller must release the credential when done with it.

Parameters

  keyInfo | the key information
  types | types of credentials to resolve, or 0 for any/all

Returns
  the resolved credential, or nullptr

## resolve() [3/5]

Credential * xmltooling::KeyInfoResolver::resolve | ( | const xmlsignature::Signature * | sig,
|  | int | types = 0 ) const

Returns a credential based on the supplied KeyInfo information.

The caller must release the credential when done with it.

Parameters

  sig | signature containing the key information
  types | types of credentials to resolve, or 0 for any/all

Returns
  the resolved credential, or nullptr

## resolve() [4/5]

virtual Credential * xmltooling::KeyInfoResolver::resolve | ( | DSIGKeyInfoList * | keyInfo,
|  | int | types = 0 ) const

pure virtual

Returns a credential based on the supplied KeyInfo information.

The caller must release the credential when done with it.

Parameters

  keyInfo | the key information
  types | types of credentials to resolve, or 0 for any/all

Returns
  the resolved credential, or nullptr

## resolve() [5/5]

virtual Credential * xmltooling::KeyInfoResolver::resolve | ( | KeyInfoCredentialContext * | context,
|  | int | types = 0 ) const

pure virtual

Returns a credential based on the KeyInfo information in the supplied context.

The caller must release the credential when done with it.

The context object will be owned by the Credential and freed with it.

Parameters

  context | context containing the key information
  types | types of credentials to resolve, or 0 for any/all

Returns
  the resolved credential, or nullptr

The documentation for this class was generated from the following file:

- xmltooling/security/KeyInfoResolver.h